ALTER TABLE `graph_templates_graph` ADD COLUMN `t_slope_mode` CHAR(2) DEFAULT 0 AFTER `vertical_label`, ADD COLUMN `slope_mode` CHAR(2) DEFAULT 'on' AFTER `t_slope_mode`;
ALTER TABLE `host` MODIFY COLUMN `status_last_error` VARCHAR(255);
ALTER TABLE `data_template_rrd` MODIFY COLUMN `rrd_maximum` VARCHAR(20) NOT NULL DEFAULT 0, MODIFY COLUMN `rrd_minimum` VARCHAR(20) NOT NULL DEFAULT 0;
ALTER TABLE `host` ADD INDEX `disabled`(`disabled`);
ALTER TABLE `poller_item` ADD INDEX `rrd_next_step`(`rrd_next_step`);
ALTER TABLE `poller_item` ADD INDEX `action`(`action`);
ALTER TABLE `user_auth` ADD INDEX `username`(`username`);
ALTER TABLE `user_auth` ADD INDEX `realm`(`realm`);
ALTER TABLE `user_log` ADD INDEX `username`(`username`);
ALTER TABLE `data_input` ADD INDEX `name`(`name`);
ALTER TABLE `user_auth` ADD COLUMN `enabled` CHAR(2) DEFAULT 'on';
ALTER TABLE `user_auth` ADD INDEX `enabled`(`enabled`);
ALTER TABLE `host` ADD COLUMN `availability_method` SMALLINT(5) UNSIGNED NOT NULL default '2' AFTER `snmp_timeout`;
ALTER TABLE `host` ADD COLUMN `ping_method` SMALLINT(5) UNSIGNED default '0' AFTER `availability_method`;
ALTER TABLE `host` ADD COLUMN `ping_port` INT(12) UNSIGNED default '0' AFTER `ping_method`;
ALTER TABLE `host` ADD COLUMN `ping_timeout` INT(12) UNSIGNED default '500' AFTER `ping_port`;
ALTER TABLE `host` ADD COLUMN `ping_retries` INT(12) UNSIGNED default '2' AFTER `ping_timeout`;
ALTER TABLE `host` ADD COLUMN `max_oids` INT(12) UNSIGNED default '10' AFTER `ping_retries`;
ALTER TABLE `host` ADD COLUMN `notes` TEXT AFTER `hostname`;
ALTER TABLE `host` ADD COLUMN `snmp_auth_protocol` CHAR(5) default '' AFTER `snmp_password`;
ALTER TABLE `host` ADD COLUMN `snmp_priv_passphrase` varchar(200) default '' AFTER `snmp_auth_protocol`;
ALTER TABLE `host` ADD COLUMN `snmp_priv_protocol` CHAR(6) default '' AFTER `snmp_priv_passphrase`;
ALTER TABLE `host` ADD COLUMN `snmp_context` VARCHAR(64) default '' AFTER `snmp_priv_protocol`;
ALTER TABLE `poller_item` ADD COLUMN `snmp_auth_protocol` CHAR(5) default '' AFTER `snmp_password`;
ALTER TABLE `poller_item` ADD COLUMN `snmp_priv_passphrase` varchar(200) default '' AFTER `snmp_auth_protocol`;
ALTER TABLE `poller_item` ADD COLUMN `snmp_priv_protocol` CHAR(6) default '' AFTER `snmp_priv_passphrase`;
ALTER TABLE `poller_item` ADD COLUMN `snmp_context` VARCHAR(64) default '' AFTER `snmp_priv_protocol`;
INSERT INTO settings VALUES ('auth_method','1');
UPDATE `settings` SET name = 'user_template' WHERE name = 'ldap_template';
DELETE FROM `settings` WHERE name = 'global_auth';
DELETE FROM `settings` WHERE name = 'ldap_enabled';
UPDATE host SET availability_method=2, ping_method=2, ping_timeout = 400, ping_retries=1 WHERE id=1;
INSERT INTO data_input_fields VALUES (DEFAULT, '20832ce12f099c8e54140793a091af90',1,'SNMP Authenticaion Protocol (v3)','snmp_auth_protocol','in','',0,'snmp_auth_protocol','','');
INSERT INTO data_input_fields VALUES (DEFAULT, 'c60c9aac1e1b3555ea0620b8bbfd82cb',1,'SNMP Privacy Passphrase (v3)','snmp_priv_passphrase','in','',0,'snmp_priv_passphrase','','');
INSERT INTO data_input_fields VALUES (DEFAULT, 'feda162701240101bc74148415ef415a',1,'SNMP Privacy Protocol (v3)','snmp_priv_protocol','in','',0,'snmp_priv_protocol','','');
INSERT INTO data_input_fields VALUES (DEFAULT, '2cf7129ad3ff819a7a7ac189bee48ce8',2,'SNMP Authenticaion Protocol (v3)','snmp_auth_protocol','in','',0,'snmp_auth_protocol','','');
INSERT INTO data_input_fields VALUES (DEFAULT, '6b13ac0a0194e171d241d4b06f913158',2,'SNMP Privacy Passphrase (v3)','snmp_priv_passphrase','in','',0,'snmp_priv_passphrase','','');
INSERT INTO data_input_fields VALUES (DEFAULT, '3a33d4fc65b8329ab2ac46a36da26b72',2,'SNMP Privacy Protocol (v3)','snmp_priv_protocol','in','',0,'snmp_priv_protocol','','');
INSERT INTO rra VALUES (DEFAULT,'283ea2bf1634d92ce081ec82a634f513','Hourly (1 Minute Average)',0.5,1,500,14400);
INSERT INTO `rra_cf` VALUES (5,1), (5,3);
UPDATE settings SET name='path_spine' WHERE name='path_cactid';
ALTER TABLE `graph_templates_item` ADD COLUMN `alpha` CHAR(2) DEFAULT 'FF' AFTER `color_id`;
ALTER TABLE `graph_templates_graph` ADD COLUMN `t_scale_log_units` CHAR(2) DEFAULT 0 AFTER `auto_scale_log`, ADD COLUMN `scale_log_units` CHAR(2) DEFAULT '' AFTER `t_scale_log_units`;
UPDATE version SET cacti="0.8.7a";
